NSX-T Data Center REST API

Read the SHA monitor status

Read the SHA monitor status on certain transport node.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sha/monitors/{monitor-id}/status
Request Headers:
n/a
Query Parameters:
ShaMonitorStatusParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sha/monitors/esx-obsrv-stats-monitor/status?transport_node_id=6304a097-55d5-451e-b35c-a7daa6777151

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ShaMonitorStatus+

Example Response:

{ "monitor_path": "/infra/sha/monitors/esx-obsrv-stats-monitor", "status_details": { "overall_status": "NORMAL", "status_detail_per_sub_monitor": [ { "sub_monitor_id": "esx-obsrv-infra-stats-monitor", "status": "NORMAL", "status_description": "" }, { "sub_monitor_id": "esx-obsrv-datapath-traffic-stats-monitor", "status": "NORMAL", "status_description": "Plugin is disabled." } ] }, "effective_profile": { "effective_sub_monitor_configs": [ { "check_interval": 301, "resource_type": "ShaEsxObsrvInfraStatsMonitorConfig", "enable": true }, { "check_interval": 301, "resource_type": "ShaEsxObsrvDatapathTrafficStatsMonitorConfig", "enable": false } ], "effective_profile_revision": 1, "effective_profile_path": "/infra/sha/monitors/esx-obsrv-stats-monitor/profiles/p1" }, "transport_node_path": "/infra/sites/default/enforcement-points/default/host-transport-nodes/10.161.250.76", "node_id": "6304a097-55d5-451e-b35c-a7daa6777151", "timestamp": 1756890149300, "marked_for_delete": false, "overridden": false, "_protection": "NOT_PROTECTED" }

Required Permissions:

read

Feature:

policy_ops

Additional Errors: